package alx.p04_operatory;

import java.util.Random;

public class Logiczne {

	public static void main(String[] args) {
		Random random = new Random();
		int x = random.nextInt(1000);
		int y = random.nextInt(1000);
		System.out.println("Wylosowane liczby: " + x + " , " + y);
		
		// koniunkcja, logiczne "i"
		// alternatywa, logiczne "lub"
		if(x > 500 && y > 500) {
			System.out.println("Obie liczby > 500");
		} else {
			System.out.println("Któraś z liczb <= 500");
		}

		if(x > 500 || y > 500) {
			System.out.println("Co najmniej jedna z liczb > 500");
		} else {
			System.out.println("Obie liczby <= 500");
		}
		
		// alternatywa rozłączna, "albo", technicznie "xor" (exclusive or)
		if((x > 500) ^ (y > 500)) {
			System.out.println("Dokładnie jedna z liczb > 500");
		} else {
			System.out.println("Obie liczby są > 500 albo obie liczby są <= 500");
		}
		
		// ! negacja
		if(!(x % 3 == 0)) {
			System.out.println("Nieprawda, że liczba jest podzielna przez 3");
		}
		
	}

}
